db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel John Debrunner <...@debrunners.com>
Subject Building with IBM's SDK's
Date Wed, 09 Feb 2005 18:38:48 GMT
I found that the build instructions don't work if you try to build Derby
using IBM's SDKs.
You can build successfully without changing Derby but you need one more
setting in your ant.properties.

The issue is that IBM's 1.4 SDK does not contain rt.jar which the Derby
build expects, so you need to override the Jdk14 compile path as follows
(or similar) in your ant.properties.

j14lib=c:/ibm142/jre/lib
j13lib=c:/ibm131/jre/lib

java14compile.classpath=c:/ibm142/jre/lib/core.jar;c:/ibm142/jre/lib/server.jar

Note that ant didn't seem to expand variables in this file, so I
couldn't use ${j14lib} when setting the JDK 14 classpath.

A similar setting might also be needed for other Java SDKs.

Dan.




Mime
View raw message